summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author alkos333 <me@alkos333.net>2010-05-11 22:38:33 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:38:33 +0200
commit703c16141bed2480c9397423da5b69f3af18ffe3 (patch)
treea319187a9293cab9453f4d688c74901b111d3dad /accessibility
parentbcb0340c922db6db9e835568f63f71a9941a3753 (diff)
downloadslackbuilds-703c16141bed2480c9397423da5b69f3af18ffe3.tar.gz
slackbuilds-703c16141bed2480c9397423da5b69f3af18ffe3.tar.xz
accessibility/jpilot: Added to 12.1 repository
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/jpilot/README3
-rw-r--r--accessibility/jpilot/jpilot.SlackBuild87
-rw-r--r--accessibility/jpilot/jpilot.info8
-rw-r--r--accessibility/jpilot/slack-desc12
4 files changed, 110 insertions, 0 deletions
diff --git a/accessibility/jpilot/README b/accessibility/jpilot/README
new file mode 100644
index 0000000000..fccdf74a3c
--- /dev/null
+++ b/accessibility/jpilot/README
@@ -0,0 +1,3 @@
+J-Pilot is a desktop organizer application for PalmOS devices. It is
+meant to be an alternative to the Palm Desktop for those who run the
+most popular Operating Systems in the World, Linux and Unix.
diff --git a/accessibility/jpilot/jpilot.SlackBuild b/accessibility/jpilot/jpilot.SlackBuild
new file mode 100644
index 0000000000..1e05af047c
--- /dev/null
+++ b/accessibility/jpilot/jpilot.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for jpilot
+
+# Copyright (c) 2007 alkos333 <me@alkos333.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+set -e
+
+PRGNAM=jpilot
+VERSION=${VERSION:-1.6.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLCKFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/jpilot $PKG/usr/doc/jpilot-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/accessibility/jpilot/jpilot.info b/accessibility/jpilot/jpilot.info
new file mode 100644
index 0000000000..7368f6310e
--- /dev/null
+++ b/accessibility/jpilot/jpilot.info
@@ -0,0 +1,8 @@
+PRGNAM="jpilot"
+VERSION="1.6.0"
+HOMEPAGE="http://www.jpilot.org"
+DOWNLOAD="http://jpilot.org/jpilot-1.6.0.tar.gz"
+MD5SUM="7918d345fb7e4b644a7211db03ddd148"
+MAINTAINER="alkos333"
+EMAIL="me@alkos333.net"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/accessibility/jpilot/slack-desc b/accessibility/jpilot/slack-desc
new file mode 100644
index 0000000000..2fe9df9f46
--- /dev/null
+++ b/accessibility/jpilot/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+jpilot: J-Pilot (desktop organizer application for PalmOS devices)
+jpilot:
+jpilot: J-Pilot is a desktop organizer application for PalmOS devices. It is
+jpilot: meant to be an alternative to the Palm Desktop for those who run the
+jpilot: most popular Operating Systems in the World, Linux and Unix.
+jpilot:
+jpilot:
+jpilot:
+jpilot:
+jpilot: Homepage: http://www.jpilot.org
+jpilot: